﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace IGItemsSourceRepro
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public SectorEntity[] Sectors { get; } =
        {
            new() { SectorID = 1, Description = "Item 1" },
            new() { SectorID = 2, Description = "Item 2" }
        };

        public SectorAllocation[] SectorAllocations { get; } =
        {
            new() { SectorID = 1, AllocationPercent = 0.5M},
            new() { SectorID = 2, AllocationPercent = 0.7M},
        };

        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class SectorEntity
    {
        public int SectorID { get; set; }
        public string Description { get; set; }
    }

    public class SectorAllocation
    {
        private int _sectorId;

        public int SectorID
        {
            get => _sectorId;
            set
            {
                _sectorId = value;

                Debug.WriteLine($"SectorID = {value}");
            }
        }

        public decimal AllocationPercent { get; set; }
    }
}